Bug 1249145 - Review Request: nodejs-is-plain-obj - Check if a value is a plain object
Review Request: nodejs-is-plain-obj - Check if a value is a plain object
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Piotr Popieluch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews 1246749
  Show dependency treegraph
 
Reported: 2015-07-31 12:04 EDT by Parag Nemade
Modified: 2015-08-26 00:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.0.0-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 09:35:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
piotr1212: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Piotr Popieluch 2015-08-16 10:22:56 EDT
APPROVED, but rebuild srpm before pushing to scm:
- spec file differs from srpm

[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)





===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /home/piotr/rpmbuild/1249145-nodejs-is-
     plain-obj/licensecheck.txt
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-is-plain-obj-1.0.0-1.fc24.noarch.rpm
          nodejs-is-plain-obj-1.0.0-1.fc24.src.rpm
nodejs-is-plain-obj.noarch: W: unexpanded-macro %description -l C %{Summary}
nodejs-is-plain-obj.noarch: W: only-non-binary-in-usr-lib
nodejs-is-plain-obj.src: W: unexpanded-macro %description -l C %{Summary}
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-is-plain-obj.noarch: W: unexpanded-macro %description -l C %{Summary}
nodejs-is-plain-obj.noarch: W: invalid-url URL: https://github.com/sindresorhus/is-plain-obj <urlopen error [Errno -5] No address associated with hostname>
nodejs-is-plain-obj.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/piotr/rpmbuild/1249145-nodejs-is-plain-obj/srpm/nodejs-is-plain-obj.spec	2015-08-16 16:03:29.129097122 +0200
+++ /home/piotr/rpmbuild/1249145-nodejs-is-plain-obj/srpm-unpacked/nodejs-is-plain-obj.spec	2015-07-31 17:57:45.000000000 +0200
@@ -24,5 +24,5 @@
 
 %description
-%{summary}.
+%{Summary}.
 
 %prep


Requires
--------
nodejs-is-plain-obj (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-is-plain-obj:
    nodejs-is-plain-obj
    npm(is-plain-obj)



Source checksums
----------------
https://github.com/sindresorhus/is-plain-obj/archive/ca2adca4deadaa0a632d8abc40e1e4654ccd4c1b.tar.gz#/is-plain-obj-ca2adca.tar.gz :
  CHECKSUM(SHA256) this package     : 88459400e3bbecf3b627baaab6808b97fac635d70d324694786dc5e8c391a040
  CHECKSUM(SHA256) upstream package : 88459400e3bbecf3b627baaab6808b97fac635d70d324694786dc5e8c391a040


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1249145
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Parag Nemade 2015-08-17 02:10:48 EDT
Thank you for the review. Fixed the package URLs.

New Package SCM Request
=======================
Package Name: nodejs-is-plain-obj
Short Description: Check if a value is a plain object
Upstream URL: https://github.com/sindresorhus/is-plain-obj
Owners: pnemade
Branches: f23
Comment 3 Gwyn Ciesla 2015-08-17 09:37:47 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2015-08-17 11:29:20 EDT
nodejs-is-plain-obj-1.0.0-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/nodejs-is-plain-obj-1.0.0-1.fc23
Comment 5 Fedora Update System 2015-08-19 03:56:21 EDT
nodejs-is-plain-obj-1.0.0-1.fc23 has been pushed to the Fedora 23 testing repository.
Comment 6 Fedora Update System 2015-08-26 00:33:26 EDT
nodejs-is-plain-obj-1.0.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.